---

## Ex: Task para copiar arquivos
- name: Copiar arquivo hello-world
  copy:
    src: hello-world.txt
    dest: /tmp/hello-world.txt
    
## Instalar vim, gcc
#- name: Instalação de programas
#  apt:
#    name: 
#      - vim
#      - gcc
#    state: latest
#    update_cache: yes

## Desinstalar gcc
#- name: Desinstalar
#  apt:
#    name: 
#      - gcc
#      - vim
#    state: absent
#    update_cache: yes  

# Instalar vim, gcc
- name: Desinstalação de programas Debian
  apt:
    name: 
      - nginx
    state: absent
    update_cache: yes
  when: ansible_distribution == 'Ubuntu' or ansible_distribution == 'Debian'

- name: Desinstalação de programas Redhat
  yum:
    name: 
      - nginx
    state: absent
    update_cache: yes
  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Redhat'  
  
- name: Instalação do nginx
  apt:
    name: "nginx"
    state: latest
    update_cache: yes
  notify:  Reiniciar Nginx
  when: ansible_distribution == 'Ubuntu' or ansible_distribution == 'Debian'

# Configurar timezone
- name: Configurar timezone
  file:
    src: /usr/share/zoneinfo/America/Sao_Paulo
    dest: /etc/localtime
    state: link
    force: yes

# Ex: copia de templates
- name: Copia de template
  template: 
    src: motd
    dest: /etc/motd
    owner: root
    group: root  
    
...